Bug 70142 - Firstboot requires metacity
Firstboot requires metacity
Product: Red Hat Public Beta
Classification: Retired
Component: firstboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-07-30 14:27 EDT by Nathan G. Grennan
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-30 14:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-07-30 14:27:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
I am not sure why Firstboot requires Metacity, but I don't like the requirement,
because Metacity will be defaulted to by Gnome2 if avaiable. I would prefer to
be able to install and run firstboot while choosing to install only Sawfish as a
window manager. Then Sawfish will be used by Gnome2 instead of Metacity.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot off the first cd
2. Start installer
3. Select Custom install
4. Unselect metacity
5. Make sure firstboot is selected
6. Click Next

Actual Results:  Metacity is a requirement of Firstboot

Expected Results:  The installer to continue.

Additional info:

Limbo beta2
Comment 1 Brent Fox 2002-08-12 01:56:36 EDT
Metacity is our default window manager for Gnome2.  Firstboot needs a window
manager, so metacity is the logical choice.  If you really want Sawfish, then
you can use gconf-editor in Gnome to change the default window manager.

Note You need to log in before you can comment on or make changes to this bug.